Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.util.time
Enum TimeUnit

    java.lang.Object
      java.lang.Enum<TimeUnit>
          org.encog.util.time.TimeUnit

All Implemented Interfaces:
  Serializable, Comparable<TimeUnit>

    public enum TimeUnit

extends Enum<TimeUnit>

Time units.

Author:
  jheaton

Enum Constant Summary
`CENTURIES` Centuries.
`DAYS` Days.
`DECADES` Decades.
`FORTNIGHTS` Fortnights.
`HOURS` Hours.
`MILLENNIA` Millennia.
`MINUTES` Minutes.
`MONTHS` Months.
`SCORES` Scores.
`SECONDS` Seconds.
`WEEKS` Weeks.
`YEARS` Years.

Method Summary
`static TimeUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TimeUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SECONDS

    public static final TimeUnit SECONDS

  Seconds.

### MINUTES

    public static final TimeUnit MINUTES

  Minutes.

### HOURS

    public static final TimeUnit HOURS

  Hours.

### DAYS

    public static final TimeUnit DAYS

  Days.

### WEEKS

    public static final TimeUnit WEEKS

  Weeks.

### FORTNIGHTS

    public static final TimeUnit FORTNIGHTS

  Fortnights.

### MONTHS

    public static final TimeUnit MONTHS

  Months.

### YEARS

    public static final TimeUnit YEARS

  Years.

### DECADES

    public static final TimeUnit DECADES

  Decades.

### SCORES

    public static final TimeUnit SCORES

  Scores.

### CENTURIES

    public static final TimeUnit CENTURIES

  Centuries.

### MILLENNIA

    public static final TimeUnit MILLENNIA

  Millennia.

Method Detail

### values

    public static TimeUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TimeUnit c : TimeUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TimeUnit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.